Get the currently playing track
curl --request GET \
--url https://api.rocksky.app/xrpc/app.rocksky.spotify.getCurrentlyPlaying \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rocksky.app/xrpc/app.rocksky.spotify.getCurrentlyPlaying"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rocksky.app/xrpc/app.rocksky.spotify.getCurrentlyPlaying', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"title": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<string>"
}app.rocksky.spotify
Get the currently playing track
GET
/
app.rocksky.spotify.getCurrentlyPlaying
Get the currently playing track
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Handle or DID of the actor to retrieve the currently playing track for. If not provided, defaults to the current user.
Response
OK
The title of the currently playing track
Matches a song against Rocksky’s music database and external metadata providers to resolve the best canonical track, artist, and albumPlay the next track in the queue
⌘I